# **Fully** customizable. Changed the position of each weapon **separately**

Includes original game ammo counter fixes / The position is adjusted to the maximum FOV (110)

Compatible with [Perfect Scopes](https://northstar.thunderstore.io/package/Dubaser/Perfect_Scopes/)


![201](https://cdn.discordapp.com/attachments/986890910753226782/1006589964047372378/r201.png)

## Compound

 - All guns: Primary + Secondary + AT-weapons + SP + Titan weapons
 - Tacticals
 - Ordnance
 - Boosts
 - Melee: Pilots + Titans
 - Titan abilities and Cores

## Demonstration 

1 [Guns](https://youtu.be/x-svUXKo-DY)

2 [Tacticals/Ordnance/Melee](https://youtu.be/G921gxDYV00)

## Main preset

Picked up optimal in my opinion the position of the weapon from the hip and when aiming

Weapon positions were chosen based on QoL and realism, with an eye to the principles of composition and the rules of Respawn designers

Changed the position of all weapons (38)

## Additional presets

Add freshness, but will not make cardinal deterrent changes

 - Main preset more massive
 - Vanilla more massive
 - Vanilla better visibility
 - Apex and Titanfall 1 for some guns
 - Unique possition for every pistol
 - Exclusive presets for some guns

## Installation

### (if manually)

Disable mods that change the position of weapons, if any

Make a copy of the old version of the Complete Reposition so as not to lose the changes you made

If you want, copy the lines you changed or just the values

Go to Dubaser-Complete_Reposition-1.4.5.zip\mods

Unzip to Titanfall2\R2Northstar\mods

# Files

**1** `Complete Reposition\**keyvalues**\scripts\weapons` - files with links to scripts

 - Files should not be renamed
 - They contain links to scripts with weapon configurations
 - If the link is not correct, the configuration will not be applied
 - If you rename the script, you will need to change the link as well

**2** `Complete Reposition\**mod**\scripts\weapons` - **scripts** with configurations
  - Configurations for each gun (38)
 - You can edit them and change their name
 - If you change the config name, you will need to change the link in the corresponding `keyvalues\scripts\weapons`
 - References are registered in `Actual_Weapon_Names.txt`
 - To enable or disable the setting - put or remove `//`
 - Lines can be added and removed
 - There are hints in the script of each weapon
 - Tenths and hundredths can be used (4.20, 6.9, -13.37)
 - Mod scripts are only read at startup. You can change files while playing (minimize the game). To apply the changes, restart the game or exit to the main menu and reload the mods through the console or special menu
 - You can assign one config file to multiple guns. It is desirable that the configurations match as much as possible (used sights, particles). To do this, in the files `Complete Reposition\keyvalues\scripts\weapons` you need to change the links
 - You cannot remove empty sections in Mods. This will break the order of weapon modifications, they will not work correctly in the game

# Main Settings

1. `viewmodel_offset_hip` - Weapon position when firing from the hip and idle position
2. `zoom_fov` - Zoom level while aiming
3. `zoom_fov_viewmodel` - Weapon visibility while aiming
4. `viewmodel_offset_ads` - Weapon displacement when aiming
5. `dof_zoom_...` - Depth of field

## Setup Guide

1 **viewmodel_offset_hip**
   - Weapons can be moved (-left/X/right front/Z/-back up/Y/-down)
   - You can't rotate the weapon clockwise/counterclockwise. The weapon is always directed to the center of the screen (as well as the HUD)
   - You can have multiple position lines in the same file, but only one can be active, others must be preceded by `//`
   - You can put `//` anywhere, so you can keep a few values you need and quickly switch between them
   - If you put Sniper Rifles too far (2+), then the reticle of the optics will be visible, it will greatly impair visibility
   - Model shift in also means the corresponding shift of the weapon in crouching and running, on the wall, in falling and jumping
   - Due to the size of the Titan weapons, the result is visible at values of +-3
   - To set the default weapon hip position - put `//` in front of each line `"viewmodel_offset_hip"`. The position of the weapon when aiming, zoom and other parameters will remain

![PISTOLS](https://media.giphy.com/media/VSktDVngD1thWh1qed/giphy.gif)

2 **zoom_fov**
   - Zoom level while aiming
   - Zoom level available for each scope
   - FOV close to standard: ~25
   - Value "26.26" = 3x zoom
   - Normal values: ~10 - 100

3 **zoom_fov_viewmodel**
   - Weapon visibility while aiming (high value = away from cam, low = close to cam)
   - It's better to use this command than viewmodel_offset_ads
   - At a high angle of view on Double Take, the pilot's left hand will "float" for a while
   - Sniper optics - picture over the model
   - There are stubs in configurations that are best ignored (//ignore). Making changes will not give a result, or will lead to bugs
   - High Kraber and Long Bow visibility values will result in distortion (+-80)
   - FOV close to standard: ~40
   - Normal values: ~20 - 90

![PISTOLS](https://media.giphy.com/media/B6K7rm893mfla8YLHJ/giphy.gif)

4 **viewmodel_offset_ads**
   - Weapons can be moved (-left/X/right front/Z/-back up/Y/-down). Shift leads to broken aim. The scripts contain the necessary values

5 **dof_zoom_...**
   - Depth of field commands. DOF when aiming is disabled for all weapons

## Changelog

1.0

- Realease

1.1

- Added 31st weapon - Smart Pistol
- CAR - added ammo counter when aiming (fix - Creamy#5877)
- EVA - added ammo counter with Redline, Threat (fix - Creamy#5877)
- P2016 - added a setting to change the position of the weapon when aiming
- L-star and Devotion - iron sight fix
- Reposition of Ordnance
- Reposition of Tacticals (Pulse blade)
- New presets
- Reworking the main preset
- Expanded settings functionality
- Added new hints
- Rewritten setup guide
- Optimization
- File restructuring
- Bugfix
- And other

1.2

- Titan weapons
- More Tacticals (A-Wall, Phase Shift)
- More Boosts (Hard Cover)
- Cut scopes has been configured, which is available through the console

1.3

- Titan abilities
- Titan melee
- More Boosts (Ticks)
- Reposition of Cores
- New presets for Primary, Secondary pistols and SP MK6 (unique positions)
- Refinement of presets

1.4

- Reposition of Boosts (card in hand)
- Reposition of Pilot Melee
- New presets: **Apex** and **Titanfall 1**
- Added ammo counter for Double Take (4x scope)
- Weapons in the main preset are brought to a single composition

Future updates

- Weapons in EACH preset are brought to a single composition
- Removed raised barrel while aiming
- Weapon rotation

## Sources

Reference -  Customscopefov

Ammo counters - Creamy#5877 and Dubaser

Actual_Weapon_Names.txt (ref) - Mysterious#7899

Have a question/found a bug - write to Discord: **Dubaser#8343**

Other mods https://drive.google.com/file/d/1Ew4BICo8BqxN0Nk6JoKJ-9iVvp4-rLSb/view?usp=sharing / https://vk.com/guns_chad